Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.text
Class SeamTextParser

    java.lang.Object
      antlr.Parser
          antlr.LLkParser
              org.jboss.seam.text.SeamTextParser

All Implemented Interfaces:
  SeamTextParserTokenTypes

    public class SeamTextParser

extends antlr.LLkParser
implements SeamTextParserTokenTypes

Field Summary
`static String[]` | `_tokenNames`
`static antlr.collections.impl.BitSet` | `_tokenSet_0`
`static antlr.collections.impl.BitSet` | `_tokenSet_1`
`static antlr.collections.impl.BitSet` | `_tokenSet_10`
`static antlr.collections.impl.BitSet` | `_tokenSet_11`
`static antlr.collections.impl.BitSet` | `_tokenSet_12`
`static antlr.collections.impl.BitSet` | `_tokenSet_13`
`static antlr.collections.impl.BitSet` | `_tokenSet_2`
`static antlr.collections.impl.BitSet` | `_tokenSet_3`
`static antlr.collections.impl.BitSet` | `_tokenSet_4`
`static antlr.collections.impl.BitSet` | `_tokenSet_5`
`static antlr.collections.impl.BitSet` | `_tokenSet_6`
`static antlr.collections.impl.BitSet` | `_tokenSet_7`
`static antlr.collections.impl.BitSet` | `_tokenSet_8`
`static antlr.collections.impl.BitSet` | `_tokenSet_9`

Fields inherited from class antlr.Parser
`astFactory, inputState, returnAST, tokenNames, tokenTypeToASTClassMap, traceDepth`

Fields inherited from interface org.jboss.seam.text.SeamTextParserTokenTypes
`AMPERSAND, BACKTICK, BAR, CLOSE, DOUBLEQUOTE, EOF, EQ, ESCAPE, GT, HASH, HAT, LT, NEWLINE, NULL_TREE_LOOKAHEAD, OPEN, PLUS, PUNCTUATION, QUOTE, SLASH, SPACE, STAR, TWIDDLE, UNDERSCORE, WORD`

Constructor Summary
`` | `SeamTextParser(antlr.ParserSharedInputState state)`
`` | `SeamTextParser(antlr.TokenBuffer tokenBuf)`
`protected` | `SeamTextParser(antlr.TokenBuffer tokenBuf, int k)`
`` | `SeamTextParser(antlr.TokenStream lexer)`
`protected` | `SeamTextParser(antlr.TokenStream lexer, int k)`

Method Summary
`void` | `attribute()`
`void` | `attributeValue()`
`void` | `beforeBody()`
`void` | `body()`
`void` | `bold()`
`void` | `closeTagWithBody()`
`void` | `closeTagWithNoBody()`
`void` | `deleted()`
`void` | `escape()`
`void` | `evenMoreSpecialChars()`
`void` | `formatted()`
`void` | `h1()`
`void` | `h2()`
`void` | `h3()`
`void` | `h4()`
`void` | `heading()`
`void` | `html()`
`void` | `htmlSpecialChars()`
`void` | `italic()`
`void` | `line()`
`void` | `link()`
`protected String` | `linkTag(String description, String url)`
`void` | `list()`
`void` | `macro()`
`protected String` | `macroInclude(String macroName)`
`void` | `monospace()`
`void` | `moreSpecialChars()`
`void` | `newline()`
`void` | `newlineOrEof()`
`void` | `olist()`
`void` | `olistLine()`
`void` | `openTag()`
`void` | `paragraph()`
`void` | `plain()`
`void` | `preformatted()`
`void` | `punctuation()`
`void` | `quoted()`
`void` | `space()`
`void` | `special()`
`void` | `specialChars()`
`void` | `startRule()`
`void` | `superscript()`
`void` | `text()`
`String` | `toString()`
`void` | `ulist()`
`void` | `ulistLine()`
`void` | `underline()`
`void` | `word()`

Methods inherited from class antlr.LLkParser
`consume, LA, LT, traceIn, traceOut`

Methods inherited from class antlr.Parser
`addMessageListener, addParserListener, addParserMatchListener, addParserTokenListener, addSemanticPredicateListener, addSyntacticPredicateListener, addTraceListener, consumeUntil, consumeUntil, defaultDebuggingSetup, getAST, getASTFactory, getFilename, getInputState, getTokenName, getTokenNames, getTokenTypeToASTClassMap, isDebugMode, mark, match, match, matchNot, panic, recover, removeMessageListener, removeParserListener, removeParserMatchListener, removeParserTokenListener, removeSemanticPredicateListener, removeSyntacticPredicateListener, removeTraceListener, reportError, reportError, reportWarning, rewind, setASTFactory, setASTNodeClass, setASTNodeType, setDebugMode, setFilename, setIgnoreInvalidDebugCalls, setInputState, setTokenBuffer, traceIndent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _tokenNames

    public static final String[] _tokenNames

### _tokenSet_0

    public static final antlr.collections.impl.BitSet _tokenSet_0

### _tokenSet_1

    public static final antlr.collections.impl.BitSet _tokenSet_1

### _tokenSet_2

    public static final antlr.collections.impl.BitSet _tokenSet_2

### _tokenSet_3

    public static final antlr.collections.impl.BitSet _tokenSet_3

### _tokenSet_4

    public static final antlr.collections.impl.BitSet _tokenSet_4

### _tokenSet_5

    public static final antlr.collections.impl.BitSet _tokenSet_5

### _tokenSet_6

    public static final antlr.collections.impl.BitSet _tokenSet_6

### _tokenSet_7

    public static final antlr.collections.impl.BitSet _tokenSet_7

### _tokenSet_8

    public static final antlr.collections.impl.BitSet _tokenSet_8

### _tokenSet_9

    public static final antlr.collections.impl.BitSet _tokenSet_9

### _tokenSet_10

    public static final antlr.collections.impl.BitSet _tokenSet_10

### _tokenSet_11

    public static final antlr.collections.impl.BitSet _tokenSet_11

### _tokenSet_12

    public static final antlr.collections.impl.BitSet _tokenSet_12

### _tokenSet_13

    public static final antlr.collections.impl.BitSet _tokenSet_13

Constructor Detail

### SeamTextParser

    protected SeamTextParser(antlr.TokenBuffer tokenBuf,
                             int k)

### SeamTextParser

    public SeamTextParser(antlr.TokenBuffer tokenBuf)

### SeamTextParser

    protected SeamTextParser(antlr.TokenStream lexer,
                             int k)

### SeamTextParser

    public SeamTextParser(antlr.TokenStream lexer)

### SeamTextParser

    public SeamTextParser(antlr.ParserSharedInputState state)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### linkTag

    protected String linkTag(String description,
                             String url)

### macroInclude

    protected String macroInclude(String macroName)

### startRule

    public final void startRule()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### newline

    public final void newline()
                       throws antlr.RecognitionException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### heading

    public final void heading()
                       throws antlr.RecognitionException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### text

    public final void text()
                    throws antlr.RecognitionException,
                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### paragraph

    public final void paragraph()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### special

    public final void special()
                       throws antlr.RecognitionException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### html

    public final void html()
                    throws antlr.RecognitionException,
                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### preformatted

    public final void preformatted()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### quoted

    public final void quoted()
                      throws antlr.RecognitionException,
                             antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### list

    public final void list()
                    throws antlr.RecognitionException,
                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### newlineOrEof

    public final void newlineOrEof()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### line

    public final void line()
                    throws antlr.RecognitionException,
                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### plain

    public final void plain()
                     throws antlr.RecognitionException,
                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### formatted

    public final void formatted()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### bold

    public final void bold()
                    throws antlr.RecognitionException,
                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### underline

    public final void underline()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### italic

    public final void italic()
                      throws antlr.RecognitionException,
                             antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### monospace

    public final void monospace()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### superscript

    public final void superscript()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### deleted

    public final void deleted()
                       throws antlr.RecognitionException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### word

    public final void word()
                    throws antlr.RecognitionException,
                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### punctuation

    public final void punctuation()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### escape

    public final void escape()
                      throws antlr.RecognitionException,
                             antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### space

    public final void space()
                     throws antlr.RecognitionException,
                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### link

    public final void link()
                    throws antlr.RecognitionException,
                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### macro

    public final void macro()
                     throws antlr.RecognitionException,
                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### specialChars

    public final void specialChars()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### moreSpecialChars

    public final void moreSpecialChars()
                                throws antlr.RecognitionException,
                                       antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### evenMoreSpecialChars

    public final void evenMoreSpecialChars()
                                    throws antlr.RecognitionException,
                                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### htmlSpecialChars

    public final void htmlSpecialChars()
                                throws antlr.RecognitionException,
                                       antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### attributeValue

    public final void attributeValue()
                              throws antlr.RecognitionException,
                                     antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### h1

    public final void h1()
                  throws antlr.RecognitionException,
                         antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### h2

    public final void h2()
                  throws antlr.RecognitionException,
                         antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### h3

    public final void h3()
                  throws antlr.RecognitionException,
                         antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### h4

    public final void h4()
                  throws antlr.RecognitionException,
                         antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### olist

    public final void olist()
                     throws antlr.RecognitionException,
                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### ulist

    public final void ulist()
                     throws antlr.RecognitionException,
                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### olistLine

    public final void olistLine()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### ulistLine

    public final void ulistLine()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### openTag

    public final void openTag()
                       throws antlr.RecognitionException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### attribute

    public final void attribute()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### beforeBody

    public final void beforeBody()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### body

    public final void body()
                    throws antlr.RecognitionException,
                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### closeTagWithBody

    public final void closeTagWithBody()
                                throws antlr.RecognitionException,
                                       antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### closeTagWithNoBody

    public final void closeTagWithNoBody()
                                  throws antlr.RecognitionException,
                                         antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD